%define anolis_release 4
%define mod_name ExtUtils-Manifest

Name:           perl-%{mod_name}
Epoch:          1
Version:        1.73
Release:        %{anolis_release}%{?dist}
Summary:        Utilities to write and check a MANIFEST file
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl(warnings) perl(strict) perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Path) perl(File::Find) perl(Config) perl(File::Copy) perl(File::Basename) perl(Exporter) perl(Carp) perl(File::Spec) >= 0.8
BuildRequires:  perl(Test::More) perl(Data::Dumper) perl(Cwd) 

Requires:       perl(File::Path)
 
%description
Utilities to write and check a MANIFEST file.
 
%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{mod_name}-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build
 
%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*
 
%check
make test
 
%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*
 
%files doc
%doc Changes README

%changelog
* Tue Apr 11 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.73-4
- optimise spec file

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.73-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.73-2
- rebuild with perl 5.36.0

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.73-1
- Init from upstream version 1.73
